Bug 59516 - KR7A-RAID - Kernel Panic after trying to run install or start system w/ RAID turned on
KR7A-RAID - Kernel Panic after trying to run install or start system w/ RAID ...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
athlon Linux
high Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-02-08 20:57 EST by Montana Harkin
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Montana Harkin 2002-02-08 20:57:18 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; Q312461)

Description of problem:
When either trying to install a redhat 7.2 system or after installation, if 
raid is turned on in the bios then there will be a kernel panic before setup is 
entered or before bootup is complete, occurs after detection of southbridge.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Enable RAID in Bios
2.Boot either red hat linux 7.2 install or regular bootup
3.Wait for kernel panic
	

Actual Results:  System Crash

Expected Results:  System should have booted up, noticing the raid, and 
mounting the harddrives on the raid

Additional info:

System:
Abit KR7A-RAID
Athlon T-Bird 1.333ghz
256mb of Micron PC2100 DDR
AGP: Geforce2 GTS
PCI0: 3com 3c905C-TX
PCI1: Creative PC-DVD Encore Dxr3
PCI2: Soundblaster Live 5.1 Value
PCI3: 3com U.S. Robotics 56k Voice PCI
3 harddrives, 30gig seagate on hda, 20gig maxtor on hdb, 40 gig maxtor on raid0
2 cdroms, sony 8x cd-r on hdc, 5x creative dvd on hdd
Comment 1 Arjan van de Ven 2002-02-11 10:54:29 EST
Any more info on this "a panic" ?
Also have you loaded the software raid drivers for promise ?
Comment 2 Montana Harkin 2002-04-20 23:07:34 EDT
ok, so i downloaded the ataraid drivers that you created, followed the
instructions for installing the ataraid.tar.gz

i executed the shell script to make /dev/ataraid/
i installed the kernel source for my kernel (2.4.10)
ran make
tried insmod ataraid.o
recieve this error:
"
[root@coffie ataraid]# insmod ataraid.o
ataraid.o: unresolved symbol del_gendisk
ataraid.o: unresolved symbol add_gendisk
ataraid.o:
Hint: You are trying to load a module without a GPL compatible license
      and it has unresolved symbols. Contact the module supplier for
      assistance. only they can help you.

"

i believe that it has to do with my kernel not having access to gendisk

thanks

Coffie
Comment 3 Bugzilla owner 2004-09-30 11:39:22 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.